opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Protected Member Functions | List of all members
CvForestERTree Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvForestERTree:

## Protected Member Functions
virtual double | calc_node_dir (CvDTreeNode *node)
virtual CvDTreeSplit * | find_split_cat_class (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_cat_reg (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_ord_class (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_ord_reg (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual void | split_node_data (CvDTreeNode *n)
Protected Member Functions inherited from CvForestTree
virtual CvDTreeSplit * | find_best_split (CvDTreeNode *n)
Protected Member Functions inherited from CvDTree
virtual void | calc_node_value (CvDTreeNode *node)
virtual void | cluster_categories (const int *vectors, int vector_count, int var_count, int *sums, int k, int *cluster_labels)
virtual void | complete_node_dir (CvDTreeNode *node)
virtual int | cut_tree (int T, int fold, double min_alpha)
virtual bool | do_train (const CvMat *_subsample_idx)
virtual CvDTreeSplit * | find_surrogate_split_cat (CvDTreeNode *n, int vi, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_surrogate_split_ord (CvDTreeNode *n, int vi, uchar *ext_buf=0)
virtual void | free_prune_data (bool cut_tree)
virtual void | free_tree ()
virtual void | prune_cv ()
virtual CvDTreeNode * | read_node (CvFileStorage *fs, CvFileNode *node, CvDTreeNode *parent)
virtual CvDTreeSplit * | read_split (CvFileStorage *fs, CvFileNode *node)
virtual void | read_tree_nodes (CvFileStorage *fs, CvFileNode *node)
virtual void | try_split_node (CvDTreeNode *n)
virtual double | update_tree_rnc (int T, int fold)
virtual void | write_node (CvFileStorage *fs, CvDTreeNode *node) const
virtual void | write_split (CvFileStorage *fs, CvDTreeSplit *split) const
virtual void | write_tree_nodes (CvFileStorage *fs) const

## Additional Inherited Members
Public Member Functions inherited from CvForestTree
| CvForestTree ()
virtual int | get_var_count () const
virtual void | read (CvFileStorage *fs, CvFileNode *node, CvRTrees *forest, CvDTreeTrainData *_data)
virtual void | read (CvFileStorage *fs, CvFileNode *node)
virtual void | read (CvFileStorage *fs, CvFileNode *node, CvDTreeTrainData *data)
virtual bool | train (CvDTreeTrainData *trainData, const CvMat *_subsample_idx, CvRTrees *forest)
virtual bool | train (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, CvDTreeParams params=CvDTreeParams())
virtual bool | train (CvDTreeTrainData *trainData, const CvMat *_subsample_idx)
virtual | ~CvForestTree ()
Public Attributes inherited from CvDTree
int | pruned_tree_idx
Protected Attributes inherited from CvForestTree
CvRTrees * | forest

## Member Function Documentation

virtual double CvForestERTree::calc_node_dir | ( | CvDTreeNode * | node | ) |
| protected virtual

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvForestERTree::find_split_cat_class | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  |
| protected virtual

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvForestERTree::find_split_cat_reg | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  |
| protected virtual

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvForestERTree::find_split_ord_class | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  |
| protected virtual

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvForestERTree::find_split_ord_reg | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  |
| protected virtual

Reimplemented from CvDTree.

virtual void CvForestERTree::split_node_data | ( | CvDTreeNode * | n | ) |
| protected virtual

Reimplemented from CvDTree.

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp